Bug 654379 - service rsyslog start | cat hangs
service rsyslog start | cat hangs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
: Patch
: 719906 (view as bug list)
Depends On: 537731
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 13:14 EST by Martin Poole
Modified: 2012-10-31 05:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The previous version of rsyslog didn't close stdout and stderr properly when running in background mode. This caused the OS to hang at boot. The outputs are now closed properly which resolves this issue.
Story Points: ---
Clone Of: 537731
Environment:
Last Closed: 2012-02-21 01:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from later version (4.2.1) of rsyslog (825 bytes, patch)
2011-01-29 17:57 EST, James Pearson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 58042 None None None Never

  None (edit)
Description Martin Poole 2010-11-17 13:14:15 EST
+++ This bug was initially created as a clone of Bug #537731 +++

Description of problem:

Running

  service rsyslog start | cat

starts up rsyslogd successfully but then hangs forever.  Apparently rsyslogd messes up some part of the double-fork dance that all daemons are supposed to perform.


Version-Release number of selected component (if applicable):
3.22.1-1.fc11


How reproducible:

Every time.

--- Additional comment from tps@vr-web.de on 2010-02-12 10:26:26 EST ---

same here:

service rsyslog start | cat

hangs for a long time or forever. Makes systems stop responding while booting up after syslogd start.

Found it on Fedora-rawhide, rsyslog-4.4.2-5.fc13.i686. Since this is new since Feb, 10th 2010 and it was some time ago there for rsyslog-3.22.1-1.fc11 I suppose it is a regression.

--- Additional comment from werner@usit.uio.no on 2010-04-23 07:37:44 EDT ---

We have also noticed this. It seems like rsyslog doesn't close it's stderr and
stdout properly. Any ETA for a fix? :)
Comment 1 James Pearson 2011-01-29 17:57:59 EST
Created attachment 475972 [details]
Patch from later version (4.2.1) of rsyslog

A fix to this issue was referenced in Bug 136141 - see <http://git.adiscon.com/?p=rsyslog.git;a=commitdiff;h=6511278082a7e1e9602385cd24cdb5e363cb702f>

The patch attached here is just a re-diff against the RHEL5 3.22.1 source
Comment 2 RHEL Product and Program Management 2011-05-31 10:17:33 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 Peter Vrabec 2011-08-23 04:01:36 EDT
*** Bug 719906 has been marked as a duplicate of this bug. ***
Comment 5 Tomas Heinrich 2012-01-18 09:31:44 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The previous version of rsyslog didn't close stdout and stderr
properly when running in background mode. This caused the OS to
hang at boot. The outputs are now closed properly which resolves
this issue.
Comment 6 errata-xmlrpc 2012-02-21 01:08:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0228.html
Comment 7 Martin Prpic 2012-08-10 09:03:19 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,4 @@
-The previous version of rsyslog didn't close stdout and stderr
properly when running in background mode. This caused the OS to
hang at boot. The outputs are now closed properly which resolves
this issue.+The previous version of rsyslog didn't close stdout and stderr
+properly when running in background mode. This caused the OS to
+hang at boot. The outputs are now closed properly which resolves
+this issue.

Note You need to log in before you can comment on or make changes to this bug.